package cn.com.tenlion.systembase.controller.route.homicide;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: HomicideController
 * @Description: 命案基本信息
 * @Author: CodeFactory
 * @Date: 2021-10-19 10:20:09
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "命案基本信息路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/homicide")
public class HomicideRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("homicide/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("homicide/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("homicide/list");
    }

}